Subject: Re: DLL naming conventions
From: "David A. Cobb" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Robert Collins <[email-masked]>, [email-masked]
Date: Tue, 05 Sep 2000 17:08:16 -0400

[Responses interleaved]
"Charles S. Wilson" wrote:

> Robert Collins wrote:
> >
> > but this also means that mingw32 program won't use the cygwin compiled
> > libpng if it is there? is that acceptable?
>
> cygwin-libpng.dll depends on cygwin1.dll, which implements many of the
> runtime functions, such as printf(), startup code, etc.
>
> A mingw program (or mingw-libpng.dll, for that matter), depends on
> crt.dll (or msvcrt.dll, depending on which flavor of mingw you're
> using).  crt.dll (or msvcrt.dll) implement printf(), startup code, etc.

> Not necessarily, if the PATH settings (or insuring that all dll's and
> exe's go into the same directory) are sufficient to prevent problems.

Wouldn't that require launching every executable from a console shell where $PATH
can be manipulated?  Having built an Ap, might I not reasonably want to launch it
from a desktop icon?  Of course, the icon can be for a script - but I don't care
to see the extra DOS box, thanks.

> I don't think so, personally.  As distasteful and painful as renaming all
> the dll's is, it *may*, repeat *may*, be the best option.  I believe
> Chris is proactively doing some research; it is possible that we can do
> something else, and avoid the 'cyg' prefix -- like using the 'AppPath'
> registry or something.
>
> It's just that there is an ingrained desire to stay as unix-like as
> possible -- and that means, libraries start with 'lib', not 'cyg'.

What about "libpng2" for both IF AND ONLY IF they expose an interface identical to
the XNix equivalent, "libpng2-cyg" & "libpng2-mng" if not; from within the
library, reference "cygwin1" or "crt-mng" or whatever: different names because
those do not expose an identical interface.  The user of, say, "libpng2" should
not need to care at all what libraries his "server" lib uses.

> If AppPath can fix the problem, then I'd prefer that cygwin's install.exe
> set the appropriate registry entry whenever installing an executable.
> This won't catch *everything*, but dagnabbit, I'm tired of packages
> installing themselves with cp (which break on cygwin thanks to the .exe
> suffix).  They oughta use install.

Aha!  One more damn'd learning experience.  Can everything be installed?
F'rinstance, there are packages out there that say "just untar this into
/usr/local."  Should I be using "install" instead?
--
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]